xine-lib: dxr3_decoder_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
dxr3_decoder_s Struct Reference

## Data Fields
video_decoder_t | video_decoder
dxr3_decoder_class_t * | class
xine_stream_t * | stream
dxr3_scr_t * | scr
metronom_clock_t * | clock
int | devnum
int | fd_control
int | fd_video
int | have_header_info
int | sequence_open
int | width
int | height
double | ratio
int | aspect_code
int | frame_rate_code
int | repeat_first_field
int | force_aspect
int | force_pan_scan
int | use_panscan
int | panscan_smart_change
int | afd_smart_change
int | afd_code
int | last_width
int | last_height
int | last_aspect_code
unsigned int | dts_offset [3]
int | sync_every_frame
int | sync_retry
int | enhanced_mode
int | resync_window
int | skip_count
int | correct_durations
int64_t | last_vpts
int | force_duration_window
int | avg_duration

## Field Documentation

## ◆ afd_code

int dxr3_decoder_s::afd_code

## ◆ afd_smart_change

int dxr3_decoder_s::afd_smart_change

## ◆ aspect_code

int dxr3_decoder_s::aspect_code

## ◆ avg_duration

int dxr3_decoder_s::avg_duration

## ◆ class

dxr3_decoder_class_t* dxr3_decoder_s::class

## ◆ clock

metronom_clock_t* dxr3_decoder_s::clock

## ◆ correct_durations

int dxr3_decoder_s::correct_durations

## ◆ devnum

int dxr3_decoder_s::devnum

## ◆ dts_offset

unsigned int dxr3_decoder_s::dts_offset[3]

## ◆ enhanced_mode

int dxr3_decoder_s::enhanced_mode

## ◆ fd_control

int dxr3_decoder_s::fd_control

## ◆ fd_video

int dxr3_decoder_s::fd_video

## ◆ force_aspect

int dxr3_decoder_s::force_aspect

## ◆ force_duration_window

int dxr3_decoder_s::force_duration_window

## ◆ force_pan_scan

int dxr3_decoder_s::force_pan_scan

## ◆ frame_rate_code

int dxr3_decoder_s::frame_rate_code

## ◆ have_header_info

int dxr3_decoder_s::have_header_info

## ◆ height

int dxr3_decoder_s::height

## ◆ last_aspect_code

int dxr3_decoder_s::last_aspect_code

## ◆ last_height

int dxr3_decoder_s::last_height

## ◆ last_vpts

int64_t dxr3_decoder_s::last_vpts

## ◆ last_width

int dxr3_decoder_s::last_width

## ◆ panscan_smart_change

int dxr3_decoder_s::panscan_smart_change

## ◆ ratio

double dxr3_decoder_s::ratio

## ◆ repeat_first_field

int dxr3_decoder_s::repeat_first_field

## ◆ resync_window

int dxr3_decoder_s::resync_window

## ◆ scr

dxr3_scr_t* dxr3_decoder_s::scr

## ◆ sequence_open

int dxr3_decoder_s::sequence_open

## ◆ skip_count

int dxr3_decoder_s::skip_count

## ◆ stream

xine_stream_t* dxr3_decoder_s::stream

## ◆ sync_every_frame

int dxr3_decoder_s::sync_every_frame

## ◆ sync_retry

int dxr3_decoder_s::sync_retry

## ◆ use_panscan

int dxr3_decoder_s::use_panscan

## ◆ video_decoder

video_decoder_t dxr3_decoder_s::video_decoder

## ◆ width

int dxr3_decoder_s::width

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/dxr3/dxr3_decode_video.c